% Runs some of the tests of Example 3.1 and Example 3.2 from
% Potts, D., Volkmer, T.
% Sparse high-dimensional FFT based on rank-1 lattice sampling.
% Submitted, 2015.

nruns = 5; % number of repetitions

test1_sfft_algorithm_multipletests( 3:6, 32, 1000, 'a1r1l', 'rand', intmax, 1e-12, 1, nruns, 'test1_a1r1l_results.mat' );
% For the complete Example 3.1 (Algorithm 1) with sparsity 1000 (may take a very very long time):
% test1_sfft_algorithm_multipletests( [3:10,15:5:30], 32, 1000, 'a1r1l', 'rand', intmax, 1e-12, 1, 10, 'test1_a1r1l_results.mat' );


test1_sfft_algorithm_multipletests( 3:6, 32, 1000, 'a2r1l', 'rand', intmax, 1e-12, 1, nruns, 'test1_a2r1l_results.mat' );
% For the complete Example 3.2 (Algorithm 2) with sparsity 1000 (may take a very very long time):
% test1_sfft_algorithm_multipletests( [3:10,15:5:30], 32, 1000, 'a2r1l', 'rand', intmax, 1e-12, 1, 10, 'test1_a2r1l_results.mat' );

print_test1( 'test1_a1r1l_results.mat' );
fprintf('\n');
print_test1( 'test1_a2r1l_results.mat' );
